# precursor

## Description

Execute precursor of current target.

## Parameters

parent
  Description: Parent for ambiguous cases in relation with multiple inheritance (not supported yet)

  Domain: valid parent

  Default: -

arguments
  Description: Comma separated list of values to be passed as arguments to the target to be called. The number of values must match the number of formal arguments of that target. The sequence is important: the first value will be used for the first actual parameter, the second as the second and so on. This is the so called terse way of argument passing.

  Domain: Comma separated list of values

  Default: -

## Parameters specified as nested elements

argument
  Description: Element representing a actual argument for the target to be called. The name of the matching formal argument is specified by the attribute 'name'. The value to be used is specified through the attribute 'value'. The names of the arguments and the number of arguments must match the formal ones of the target to be called.

  Domain: -

  Default: -

## RNG Specification

      <define name="precursor">
        <element name="precursor">
          <text/>
        </element>
      </define>

## Examples

      <precursor/>